### Method

# WPEWebKit XRPermissionRequest get_consent_optional_features

since: 2.52

#### Declaration [src]

    WebKitXRSessionFeatures
    webkit_xr_permission_request_get_consent_optional_features (
      WebKitXRPermissionRequest* request
    )

#### Description [src]

Gets the optional features that need user consent.

These features can be granted by calling `webkit_xr_permission_request_set_granted_optional_features()` before allowing the request with webkit_permission_request_allow().

Available since: 2.52

#### Return value

Type: `WebKitXRSessionFeatures`

A `WebKitXRSessionFeatures` flag combination.